<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Portfolio</title>
	<link rel="stylesheet" href="style.css">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.3.0/css/all.min.css"/>
	<script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/typed.js/2.0.12/typed.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/waypoints/4.0.1/jquery.waypoints.min.js"></script>
	<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"/>
</head>
<body>

	<div class="scroll-up-btn">
        <i class="fas fa-angle-up"></i>
    </div>

	<!-- NavBar -->
	<nav class="navbar">
		<div class="max-width">
			<a href="#home"><img src="Images/logo.png" class="logo"></a>
			<ul class="menu">
				<li><a href="#home" class="menu-btn">Home</a></li>
				<li><a href="#about" class="menu-btn">About</a></li>
				<li><a href="#services" class="menu-btn">Services</a></li>
				<li><a href="#skills" class="menu-btn">Skills</a></li>
				<li><a href="#projects" class="menu-btn">Portfolio</a></li>
				<li><a href="#contact" class="menu-btn">Contact</a></li>
			</ul>
			<div class="menu-btn">
				<i class="fa-solid fa-bars"></i>
			</div>			
		</div>
	</nav>

	<!-- Home -->
	<section class="home" id="home">
		<div class="max-width">
			<div class="home-content">
				<img src="Images/me4.jpg" class="rounded-circle" width="260">
				<div class="text-1">Hi, I am <span>CJ</span></div>
				<div class="text-2">And I'm your <span class="typing"></span></div>
				<a href="#contact">Hire me</a>
			</div>
		</div>
	</section>

	<!-- About -->
	<section class="about" id="about">
		<div class="max-width">
			<h2 class="title">About me</h2>
			<div class="about-content">
				<div class="column left">
					<img src="Images/profile.png">
				</div>
				<div class="column right">
					<div class="text">I am CJ and I'm your <span class="typing-2"></span></div>
					<p>Graduated as an Electronics Engineer and a Bootcamp grad. I'm a Career Shifter seeking a job in the IT Industry which is why I took an intensive training course in Zuitt Coding Bootcamp wherein we built Portfolio Projects like Web API (E-commerce), React Front-end, Personal Web Portfolio, etc. My strengths are my passion for work, and my motivation to learn and grow professionally. I feel excited and ready to learn and do my best. If we talk about my character, I'd point out a strong sense of responsibility and an ability to teamwork. Looking forward to working with you!</p>
					<a href="./Sample Resume.pdf" download target="_blank">Download Resume</a>
				</div>
			</div>
		</div>
	</section>

	<!-- Services -->
	<section class="services" id="services">
		<div class="max-width">
			<h2 class="title">My services</h2>
			<div class="serv-content">

				<div class="card">
					<div class="box">
						<i class="fas fa-paint-brush"></i>
						<div class="text">Front-end Development</div>
						<p>Building web pages by using modern HTML CSS and Javascript. Developing websites not only for desktops but also for devices like tablets and mobile phones through responsive web design.</p>
					</div>					
				</div>

				<div class="card">
					<div class="box">
						<i class="fas fa-database"></i>
						<div class="text">Back-end Development</div>
						<p>Working on server-side software, which focuses on everything you can't see on a website and ensure the website performs correctly, focusing on databases, back-end logic, application programming interface (APIs), architecture, and servers.</p>
					</div>					
				</div>

				<div class="card">
					<div class="box">
						<i class="fa-solid fa-cart-shopping"></i>
						<div class="text">Full-stack Development</div>
						<p>Building both the front-end and the back-end of a website using the MERN tech stack (MongoDB, Express.js, React.js, Node.js). Integrate your server into a reactive single-page application, in an end-to-end experience of how modern web applications are built.</p>
					</div>					
				</div>

			</div>
		</div>
	</section>

	<!-- Skills -->
	<section class="skills" id="skills">
		<div class="max-width">
			<h2 class="title">My skills</h2>
			<div class="skills-content">

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-git.png" class="skill-icon">
								</div>
								<div class="text">Git</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-html5.png" class="skill-icon">
								</div>
								<div class="text">HTML5</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-css3.png" class="skill-icon">
								</div>
								<div class="text">CSS</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-bootstrap.png" class="skill-icon">
								</div>
								<div class="text">Bootstrap5</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-javascript.png" class="skill-icon">
								</div>
								<div class="text">Javascript</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-mongodb.png" class="skill-icon">
								</div>
								<div class="text">MongoDB</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-nodejs.png" class="skill-icon">
								</div>
								<div class="text">Node.js</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-postman.png" class="skill-icon">
								</div>
								<div class="text">Postman</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-expressjs.png" class="skill-icon">
								</div>
								<div class="text">Express.js</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-heroku.png" class="skill-icon">
								</div>
								<div class="text">Heroku</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-react.png" class="skill-icon">
								</div>
								<div class="text">React.js</div>
							</div>	
						</div>

						<div class="card">
							<div class="box">
								<div class="img">
									<img src="Images/logo-sublime.png" class="skill-icon">
								</div>
								<div class="text">Sublime</div>
							</div>	
						</div>

			</div>
		</div>
	</section>

	<!-- Projects -->
    <section class="projects" id="projects">
        <div class="max-width">
            <h2 class="title">My projects</h2>
            <div class="carousel owl-carousel">

            	<div class="card">
                    <div class="box">
                        <img src="Images/work1.png" alt="">
                        <div class="text">My First Web Portfolio</div>
                        <p>Building my responsive Personal Portfolio Website by using HTML code elements only.</p>
                    </div>
                </div>
                <div class="card">
                    <div class="box">
                        <img src="Images/work2.png" alt="">
                        <div class="text">Using Postman API</div>
                        <p>We can create and save simple and complex HTTP/s requests, as well as read their responses.</p>
                    </div>
                </div>
                <div class="card">
                    <div class="box">
                        <img src="Images/work3.png" alt="">
                        <div class="text">My Database</div>
                        <p>Sample of my database using MongoDB. An open source NoSQL database management.</p>
                    </div>
                </div>
                <div class="card">
                    <div class="box">
                        <img src="Images/work4.png" alt="">
                        <div class="text">MERN tech stack</div>
                        <p>This is my user Registration and Login for E-commerce Website. This project is in progress.</p>
                    </div>
                </div>
                <div class="card">
                    <div class="box">
                        <img src="Images/work5.png" alt="">
                        <div class="text">My Website</div>
                        <p>Adding more detail to my E-commerce Website and making it more user accessible.</p>
                    </div>
                </div>
            </div>
        </div>
    </section>

	<!-- Contact -->
	<section class="contact" id="contact">
        <div class="max-width">
            <h2 class="title">Contact me</h2>
            <div class="contact-content">
                <div class="column left">
                    <div class="text">Get in Touch</div>
                    <p>These are my contact details and my social media accounts. I'm available 24 hours, seven days a week. Thank You!</p>
                    <div class="icons">

                        <div class="row">
                            <i class="fas fa-user"></i>
                            <div class="info">
                                <div class="head">Name</div>
                                <div class="sub-title">CJ Rayos</div>
                            </div>
                        </div>

                        <div class="row">
                            <i class="fas fa-map-marker-alt"></i>
                            <div class="info">
                                <div class="head">Address</div>
                                <div class="sub-title">San Juan City, Metro Manila</div>
                            </div>
                        </div>

                        <div class="row">
                            <i class="fas fa-paper-plane"></i>
                            <div class="info">
                                <div class="head">Email</div>
                                <div class="sub-title">cjrayos123@gmail.com</div>
                            </div>
                        </div>

                        <div class="row">
                            <i class="fas fa-phone-square-alt"></i>
                            <div class="info">
                                <div class="head">Mobile Number</div>
                                <div class="sub-title">+63 967 237 2692</div>
                            </div>
                        </div>

                        <div class="social-icons">
                        	<a href="https://www.facebook.com/profile.php?id=100055961130681" target="_blank"><i class="fab fa-facebook"></i></a>
                        	<a href="https://twitter.com/ReyesRayos" target="_blank"><i class="fab fa-twitter-square"></i></a>
                        	<a href="https://www.instagram.com/cj_rayos/" target="_blank"><i class="fab fa-instagram"></i></a>
                        	<a href="https://www.linkedin.com/in/cj-paulo-rayos-b98866246/" target="_blank"><i class="fab fa-linkedin"></i></a>
                        	<a href="https://gitlab.com/Legosi" target="_blank"><i class="fab fa-gitlab"></i></a>
                        	<a href="https://github.com/legozhie" target="_blank"><i class="fab fa-github"></i></a>
                        </div>

                    </div>
                </div>

                <div class="column right">
                    <div class="text">Message me</div>
                    <form action="#" name="submit-to-google-sheet">
                        <div class="fields">
                            <div class="field name">
                                <input type="text" name="Name" placeholder="Name" required>
                            </div>
                            <div class="field email">
                                <input type="email" name="Email" placeholder="Email" required>
                            </div>
                        </div>
                        <div class="field">
                            <input type="text" name="Subject" placeholder="Subject" required>
                        </div>
                        <div class="field textarea">
                            <textarea cols="30" name="Message" rows="10" placeholder="Message..." required></textarea>
                        </div>
                        <div class="button-area">
                            <button type="submit">Send message</button>
                        </div>
                    </form>
                    <span id="msg"></span>
                </div>
            </div>
        </div>
    </section>

      <!-- Footer -->
    <footer>
        <span>Created By <a href="https://www.linkedin.com/in/cj-paulo-rayos-b98866246/" target="_blank">CJ Rayos</a> | <span class="far fa-copyright"></span> 2023 All rights reserved.</span>
    </footer>
	
	<script src="script.js"></script>

	<script>
		const scriptURL = 'https://script.google.com/macros/s/AKfycbwHofnRHU-_L5JM-aCbOPiYvdcNFQE1qynXRsP8Pzf9BLnBV_LWvLwtBlJXA1Ul0OOszA/exec'
		const form = document.forms['submit-to-google-sheet']
		const msg = document.getElementById("msg")

		form.addEventListener('submit', e => {
			e.preventDefault()
			fetch(scriptURL, { method: 'POST', body: new FormData(form)})
				.then(response => {
					msg.innerHTML = "Message sent successfully.Thanks!"
					setTimeout(function(){
						msg.innerHTML = ""
					},5000)
					form.reset()
				})
				.catch(error => console.error('Error!', error.message))
		})
	</script>

</body>
</html>